# PhasicFlow: oFstream Class Reference

oFstream Class Reference
Inheritance diagram for oFstream:
[legend]
Collaboration diagram for oFstream:
[legend]

## Public Member Functions

| oFstream (const fileSystem &path)
| oFstream (const oFstream &src)=delete
oFstream & | operator= (const oFstream &rhs)=delete
virtual | ~oFstream ()=default
Public Member Functions inherited from fileStream
| fileStream (const fileSystem &path, bool outStream=false)
| fileStream (const fileStream &)=delete
fileStream & | operator= (const fileStream &)=delete
virtual | ~fileStream ()
std::ifstream & | inStream ()
std::ofstream & | outStream ()
Public Member Functions inherited from Ostream
| Ostream (std::ostream &os, const word &streamName)
| Ostream (const Ostream &)=delete
void | operator= (const Ostream &)=delete
virtual const word & | name () const
virtual word & | name ()
virtual ios_base::fmtflags | flags () const
virtual bool | write (const token &tok) override
virtual iOstream & | write (const char c) override
virtual iOstream & | write (const char *str) override
virtual iOstream & | write (const word &str) override
virtual iOstream & | writeQuoted (const word &str, const bool quoted=true) override
virtual iOstream & | write (const int64 val) override
virtual iOstream & | write (const int32 val) override
virtual iOstream & | write (const label val) override
virtual iOstream & | write (const uint32 val) override
virtual iOstream & | write (const uint16 val) override
virtual iOstream & | write (const float val) override
virtual iOstream & | write (const double val) override
virtual void | indent ()
virtual ios_base::fmtflags | flags (const ios_base::fmtflags f)
virtual void | flush ()
virtual void | endl ()
virtual char | fill () const
virtual char | fill (const char fillch)
virtual int | width () const
virtual int | width (const int w)
virtual int | precision () const
virtual int | precision (const int p)
virtual std::ostream & | stdStream ()
virtual const std::ostream & | stdStream () const
Public Member Functions inherited from iOstream
| iOstream ()
| iOstream (const iOstream &)=default
virtual | ~iOstream ()=default
unsigned short | indentSize () const
unsigned short & | indentSize ()
unsigned short | indentLevel () const
unsigned short & | indentLevel ()
void | incrIndent ()
void | decrIndent ()
virtual iOstream & | beginBlock (const word &kw)
virtual iOstream & | beginBlock ()
virtual iOstream & | endBlock ()
virtual iOstream & | beginList ()
virtual iOstream & | beginList (const word &kw)
virtual iOstream & | endList ()
virtual iOstream & | beginSquare ()
virtual iOstream & | beginSquare (const word &kw)
virtual iOstream & | endSquare ()
virtual iOstream & | endEntry ()
virtual iOstream & | newLine ()
virtual iOstream & | space (int32 n=1)
virtual iOstream & | writeWordKeyword (const word &kw)
template<class T >
iOstream & | writeWordEntry (const word &key, const T &value)
iOstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Protected Member Functions inherited from fileStream
void | openInFile (const fileSystem &path)
void | openOutFile (const fileSystem &path)
void | close ()
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()
Protected Attributes inherited from fileStream
uniquePtr< std::ifstream > | inStream_
uniquePtr< std::ofstream > | outStream_
Protected Attributes inherited from iOstream
unsigned short | indentSize_ = 4
unsigned short | indentLevel_ = 0
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_
Static Protected Attributes inherited from iOstream
static constexpr const unsigned short | entryIndentation_ = 16
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 36 of file oFstream.hpp.

## Constructor & Destructor Documentation

## oFstream() [1/2]

oFstream | ( | const fileSystem & | path | ) |

Definition at line 27 of file oFstream.cpp.

## oFstream() [2/2]

oFstream | ( | const oFstream & | src | ) |

delete

## ~oFstream()

virtual ~oFstream | ( |  | ) |

virtualdefault

## Member Function Documentation

## operator=()

oFstream& operator= | ( | const oFstream & | rhs | ) |

delete

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/Fstream/oFstream.hpp
- src/phasicFlow/streams/Fstream/oFstream.cpp